commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@gmx.de>
Subject Re: commons-logging version 0.0.0-EMPTY
Date Wed, 20 May 2009 06:22:07 GMT
Hi Ceki,

Ceki Gulcu wrote at Dienstag, 19. Mai 2009 22:00:

> Dennis Lundberg wrote:
>> 
>> Yes I'm aware of that. My concern is for those people who don't know
>> about that. What will happen if they declare
>> commons-logging:commons-logging without a version in their POM? Or
>> declare the special token LATEST as a version for commons-logging? Will
>> they get 1.1.1 or 0.0 or what?
> 
> - LATEST only affects maven plug-ins, not regular artifacts.
> - You can't declare a dependency without a specific version.
> - Version ranges have no effect.
> 
> I am no Maven expert, so all three assertions above might be wrong.

No, AFAICS you're right on all three. However, as I pointed out in my other
mail, we're creating a hack for a problem that exists with a lot of other
artifacts also.

- Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message